classification
Title: Remove _not_found hack from importlib
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, eric.snow, python-dev
Priority: normal Keywords:

Created on 2013-07-04 22:54 by brett.cannon, last changed 2013-07-08 23:42 by eric.snow. This issue is now closed.

Messages (3)
msg192322 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-07-04 22:54
Having a private attribute has already caused one bug report. I want to try and come up with something that doesn't leak outside of importlib.
msg192481 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-07-06 18:48
New changeset 0d590683c8d1 by Brett Cannon in branch 'default':
Issue #18364: Stop using the ImportError._not_found hack.
http://hg.python.org/cpython/rev/0d590683c8d1
msg192702 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2013-07-08 23:42
That'll work. :)
History
Date User Action Args
2013-07-08 23:42:36eric.snowsetmessages: + msg192702
2013-07-06 18:48:45brett.cannonsetstatus: open -> closed
resolution: fixed
stage: needs patch -> resolved
2013-07-06 18:48:28python-devsetnosy: + python-dev
messages: + msg192481
2013-07-05 02:02:05eric.snowsetnosy: + eric.snow
2013-07-04 22:54:36brett.cannoncreate